html,
body {
    height: 100%;
}

.wrap {
    min-height: 100%;
    height: auto;
    margin: 0 auto -60px;
    padding: 0 0 60px;
}

.wrap > .container {
    padding: 50px 15px 20px;
}

.footer {
    height: 60px;
    background-color: #f5f5f5;
    border-top: 1px solid #ddd;
    padding-top: 20px;
}

.jumbotron {
    text-align: center;
    background-color: transparent;
}

.jumbotron .btn {
    font-size: 21px;
    padding: 14px 24px;
}

.not-set {
    color: #c55;
    font-style: italic;
}

/* add sorting icons to gridview sort links */
a.asc:after, a.desc:after {
    position: relative;
    top: 1px;
    display: inline-block;
    font-family: 'Glyphicons Halflings';
    font-style: normal;
    font-weight: normal;
    line-height: 1;
    padding-left: 5px;
}

a.asc:after {
    content: /*"\e113"*/ "\e151";
}

a.desc:after {
    content: /*"\e114"*/ "\e152";
}

.sort-numerical a.asc:after {
    content: "\e153";
}

.sort-numerical a.desc:after {
    content: "\e154";
}

.sort-ordinal a.asc:after {
    content: "\e155";
}

.sort-ordinal a.desc:after {
    content: "\e156";
}

.grid-view th {
    white-space: nowrap;
}

.hint-block {
    display: block;
    margin-top: 5px;
    color: #999;
}

.error-summary {
    color: #a94442;
    background: #fdf7f7;
    border-left: 3px solid #eed3d7;
    padding: 10px 20px;
    margin: 0 0 15px 0;
}

.custom-file {
    position: absolute;
    margin-left: 14px;
}

.upload {
    display: none !important;
}
.custom-file-upload {
    border: 1px solid #ccc;
    display: inline-block;
    padding: 6px 12px;
    cursor: pointer;
}

ul.tfa-type {
    display: flex;
    justify-content: center;
    padding: 0;
    margin: 20px 0;
}

ul.tfa-type > li {
    margin: 0;
}

.actions > i {
    cursor: pointer;
}

#loader {
    display: none;
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    z-index: 9999;
    background-color:rgba(255,255,255,0.5);
    text-align: center;
 }

 #loader img {
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
}

 #loader .show {
    display: block;
 }

 #loader .hide {
    display: none;
 }

 .dnone {
    display: none;
 }

 .tcenter {
    text-align: center;
 }
 
 .code-area {
    background-color: #F4F5F7;
    border: 1px solid #DFE1E6;
    border-radius: 5px;
    font-size: 14px;
    font-weight: 700;
    padding: 20px;
    text-align: center;
 }

 .fs-14 {
    font-size: 14px;
 }

 .mt-55 {
    margin-top: 55px;
 }

 .fw136 {
    width: 136px !important;
 }

 .ml-18 {
    margin-left: 22px;
 }

 .alignright {
    text-align: right;
 }

 .pb-5 {
    padding-bottom: 5px;
 }

 /*** LOGIN DESIGN ***/
 .login-container, .verify-container, .enable2fa-container, .multiple-acc-container {
    margin: 0 auto;
    padding: 20px;
    max-width: 820px;
    margin-top: 50px;
    margin-bottom: 50px;
 }

 .login-container .heading-text {
    font-weight: 700;
    font-size: 32px;
    text-align: center;
 }

 .heading-text2 {
    font-weight: 700;
    font-size: 32px;
 }

 .login-container .row {
    display: flex;
    align-items: stretch;
 }

 .login-container .col-md-6 {
    flex : 1;
 }

 .login-form {
    padding-top: 60px;
    padding-bottom: 60px;
    border-top-left-radius: 12px;
    border-bottom-left-radius: 12px;
    box-shadow: 0px 0px 20px rgba(67, 122, 175, 0.25);
 }

 .netreo-logo-col {
    background: #3379B7;
    display: flex;
    justify-content: center;
    align-items: center;
    border-top-right-radius: 12px;
    border-bottom-right-radius: 12px;
    box-shadow: 0px 0px 20px rgba(67, 122, 175, 0.25);
 }

 .email-field, .password-field, .verify-field {
    padding-left: 18px !important;
    background: #F5F5F5;
    border-radius: 20px !important;
    border: none !important;
    -webkit-box-shadow: none !important;
 }

 .login-btn {
    border-radius: 20px;
 }

 .rememberme-checkbox {
    width: 14px !important;
    height: 14px !important;
    margin-top: 0.15em !important;
    padding: 0 !important;
    box-sizing: border-box;
    border: 1px solid #C1C1C1;
    border-radius: 4px;
 }

 .form-group.field-loginform-rememberme {
    padding-left: 5px;
 }

 .verify-container {
    padding: 55px;
 }

 .verify-field {
    width: 300px;
 }

 .submit-verification {
    border-radius: 20px;
    width: 85px;
 }

 .enable2fa-container, .verify-container, .multiple-acc-container {
    background: #FFFFFF;
    box-shadow: 0px 0px 20px rgba(67, 122, 175, 0.25);
    border-radius: 12px;
 }

 .download-container {
    padding: 20px;
    background: #FFFFFF;
    border: 1px solid #EFEFEF;
    box-shadow: 0px 3px 3px rgba(0, 0, 0, 0.15);
 }

 .header-title {
    margin: 50px auto 0;
    border-bottom: 1px solid #2e6da4;
    letter-spacing: 0.4px;
    line-height: 31px;
    width: 100%;
    font-weight: 300;
    font-size: 22px;
    padding: 9px 15px;
    text-align: center;
    position: relative;
    background: #337ab7;
    color: #fff;
 }

 .dt-search-filter {
    margin-bottom: 10px;
 }

 .search-bar {
	border-radius: 20px;
	border: 1px solid #E0E0E0;
    padding: 6px;
}

.search-bar .input-text {
	border: none;
	background: initial;
    padding: 2px;
    padding-left: 7px;
}

.search-bar .input-text:focus {
    outline: none;
}
  
.search-bar .icon {
	color: #333333;
}

.page-info {
    display: flex;
    float: right;
    justify-content: space-between;
}

.page-info .dataTables_info {
    margin-right: 8px;
}

.packages > thead > tr:nth-child(1) {
    background: #EEEEEE !important;
}

.action-wrapper {
    display: flex;
    flex-wrap: wrap;
    justify-content: center;
}

.action-wrapper > a {
    margin-right: 8px;
}

.access-token-container, .system-preferences {
    margin: 0 auto;
    max-width: 820px;
}

.api-active {
    padding: 8px;
    background: #d0fabf;
}

.api-expired {
    padding: 8px;
    background: #f5c9c9;
}

.apikey {
    font-size: 16px;
    font-weight: 500;
    padding-top: 22px;
    padding-bottom: 22px;
}

.acc-suggestion {
    list-style-type: none;
    margin: 0;
    padding: 0;
    display: flex;
    flex-direction: column;
    padding-top: 10px;
    padding-bottom: 10px;
}

.border-bottom {
    border-bottom: 1px solid #dee2e6 !important;
}

.pad-bot-8 {
    padding-bottom: 8px;
}

.pad-40 {
    padding: 40px;
}

.login-acc {
    position: absolute;
    right: 0;
    top: 10px;
}

.pos-relative {
    position: relative;
}

.login-container .tools.heading-text {
    font-weight: 700;
    font-size: 27px;
    text-align: center;
 }

 .a-left {
    text-align: left !important;
 }